import request from "@/utils/request";

// 获得WMS 入库业务-来料入库分页-待入库
export function getIncomingToStockPage(query) {
    return request({
        url: "/rtkwms/incoming-stock/toStockPage",
        method: "get",
        params: query,
    });
}
// 获得WMS 入库业务-来料入库分页-已入库
export function getIncomingStockPage(query) {
    return request({
        url: "/rtkwms/incoming-stock/stockedMainAndDetailPage",
        method: "get",
        params: query,
    });
}
// 获得WMS 入库业务-来料入库明细分页-已入库
export function getIncomingStockedDetailPage(query) {
    return request({
        url: "/rtkwms/incoming-stock/stockedDetailPage",
        method: "get",
        params: query,
    });
}

// 创建WMS 入库业务-来料入库
export function createBatchIncomingStock(data) {
    return request({
        url: "/rtkwms/incoming-stock/createBatch",
        method: "post",
        data: data,
    });
}

// 删除入库
export function deleteIncomingStock(id) {
    return request({
        url: "/rtkwms/incoming-stock/delete?id=" + id,
        method: "delete",
    });
}

// 来料入库列表导出
export function exportIncomingStock(query) {
    return request({
        url: "/rtkwms/incoming-stock/export-excel",
        method: "get",
        params: "query",
        responseType: "blob",
    });
}